A FinancialAddress contains information needed to transfer money to a Financial Account. A Financial Account can have more than one Financial Address.
Attributes
- idstring
The ID of a FinancialAddress.
- objectstring, value is "v2.money_management.financial_address"
String representing the object’s type. Objects of the same type share the same value of the object field.
- createdtimestamp
The creation timestamp of the FinancialAddress.
- credentialsnullable object
Object indicates the type of credentials that have been allocated and attached to the FinancialAddress. It contains all necessary banking details with which to perform money movements with the FinancialAddress. This field is only available for FinancialAddresses with an active status.
- currencyenum
The currency the FinancialAddress supports.
- financial_
accountstring A ID of the FinancialAccount this FinancialAddress corresponds to.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - settlement_
currencynullable enum The currency the FinancialAddress settles into the FinancialAccount.
- statusenum
An enum representing the status of the FinancialAddress. This indicates whether or not the FinancialAddress can be used for any money movement flows.
Possible enum valuesactiveThe Financial Address is active.
archivedThe Financial Address is archived, it cannot be used anymore.
failedThe Financial Address creation failed.
pendingThe Financial Address is being created.
{ "id": "finaddr_61O6nHqDsFuMtECYR16O0lef0dSQgZ0EhGyZsQCXQMls", "object": "v2.money_management.financial_address", "credentials": { "type": "us_bank_account", "us_bank_account": { "account_number": "123456890", "routing_number": "110000000", "swift_code": "TSTEZ122", "bank_name": "STRIPE TEST BANK", "last4": "6890" } }, "status": "active", "financial_account": "fa_6504m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m", "created": "2023-03-30T17:32:06.665Z", "currency": "usd"}Create a new FinancialAddress for a FinancialAccount.
Learn more about calling API v2 endpoints.Parameters
- financial_
accountstringRequired The ID of the FinancialAccount the new FinancialAddress should be associated with.
- typeenumRequired
The type of FinancialAddress details to provision.
Possible enum valuesgb_bank_ account A UK Bank Account credential. This indicates that the associated credentials object contains unique banking details pertinent to a UK bank account.
sepa_bank_ account A SEPA Bank account credential. This indicates that the associated credentials object contains unique banking details pertinent to a SEPA bank account.
us_bank_ account A US Bank Account credential. This indicates that the associated credentials object contains unique banking details pertinent to a US bank account.
Returns
Response attributes
- idstring
The ID of a FinancialAddress.
- objectstring, value is "v2.money_management.financial_address"
String representing the object’s type. Objects of the same type share the same value of the object field.
- createdtimestamp
The creation timestamp of the FinancialAddress.
- credentialsnullable object
Object indicates the type of credentials that have been allocated and attached to the FinancialAddress. It contains all necessary banking details with which to perform money movements with the FinancialAddress. This field is only available for FinancialAddresses with an active status.
- currencyenum
The currency the FinancialAddress supports.
- financial_
accountstring A ID of the FinancialAccount this FinancialAddress corresponds to.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - settlement_
currencynullable enum The currency the FinancialAddress settles into the FinancialAccount.
- statusenum
An enum representing the status of the FinancialAddress. This indicates whether or not the FinancialAddress can be used for any money movement flows.
Possible enum valuesactiveThe Financial Address is active.
archivedThe Financial Address is archived, it cannot be used anymore.
failedThe Financial Address creation failed.
pendingThe Financial Address is being created.
The required storer capabilities are missing.
The required storer capabilities are not active.
The currency is not supported for Financial Accounts.
The resource wasn’t found.
An idempotent retry occurred with different request parameters.
{ "id": "finaddr_61O5ng8AAMZt30I2YH16O0lef0dSQgZ0EhGyZsQCXQHG4", "object": "v2.money_management.financial_address", "credentials": null, "status": "pending", "financial_account": "fa_654f0m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m", "created": "2023-03-30T17:22:06.188Z", "currency": "usd", "livemode": true}Retrieve a FinancialAddress. By default, the FinancialAddress will be returned in its unexpanded state, revealing only the last 4 digits of the account number.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
The ID of the FinancialAddress to retrieve.
- includearray of enums
Open Enum. A list of fields to reveal in the FinancialAddresses returned.
Possible enum valuescredentials.gb_ bank_ account. account_ number The full account number of the FinancialAddress for a UK bank account.
credentials.us_ bank_ account. account_ number The full account number of the FinancialAddress for a US bank account.
Returns
Response attributes
- idstring
The ID of a FinancialAddress.
- objectstring, value is "v2.money_management.financial_address"
String representing the object’s type. Objects of the same type share the same value of the object field.
- createdtimestamp
The creation timestamp of the FinancialAddress.
- credentialsnullable object
Object indicates the type of credentials that have been allocated and attached to the FinancialAddress. It contains all necessary banking details with which to perform money movements with the FinancialAddress. This field is only available for FinancialAddresses with an active status.
- currencyenum
The currency the FinancialAddress supports.
- financial_
accountstring A ID of the FinancialAccount this FinancialAddress corresponds to.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - settlement_
currencynullable enum The currency the FinancialAddress settles into the FinancialAccount.
- statusenum
An enum representing the status of the FinancialAddress. This indicates whether or not the FinancialAddress can be used for any money movement flows.
Possible enum valuesactiveThe Financial Address is active.
archivedThe Financial Address is archived, it cannot be used anymore.
failedThe Financial Address creation failed.
pendingThe Financial Address is being created.
The resource wasn’t found.
{ "id": "finaddr_61O6nHqDsFuMtECYR16O0lef0dSQgZ0EhGyZsQCXQMls", "object": "v2.money_management.financial_address", "credentials": { "type": "us_bank_account", "us_bank_account": { "account_number": "123456890", "routing_number": "110000000", "swift_code": "TSTEZ122", "bank_name": "STRIPE TEST BANK", "last4": "6890" } }, "status": "active", "financial_account": "fa_6504m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m", "created": "2023-03-30T17:32:06.665Z", "currency": "usd", "livemode": true}List all FinancialAddresses for a FinancialAccount.
Learn more about calling API v2 endpoints.Parameters
- financial_
accountstring The ID of the FinancialAccount for which FinancialAddresses are to be returned.
- includearray of enums
Open Enum. A list of fields to reveal in the FinancialAddresses returned.
Possible enum valuescredentials.gb_ bank_ account. account_ number The full account number of the FinancialAddress for a UK bank account.
credentials.us_ bank_ account. account_ number The full account number of the FinancialAddress for a US bank account.
- limitinteger
The page limit.
- pagestring
The page token.
Returns
Response attributes
- dataarray of objects
A list of FinancialAddresses.
- next_
page_ urlnullable string The next page url.
- previous_
page_ urlnullable string The previous page url.
{ "data": [ { "id": "finaddr_61O3m0n8AAMZt30I2YH16O0lef0dSQgZ0EhGyZsQCXQHG4", "object": "v2.money_management.financial_address", "credentials": { "type": "us_bank_account", "us_bank_account": { "account_number": null, "routing_number": "110000000", "swift_code": "TSTEZ122", "bank_name": "STRIPE TEST BANK", "last4": "6890" } }, "status": "active", "financial_account": "fa_6504m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m", "created": "2023-03-30T17:22:06.188Z", "currency": "usd", "livemode": true }, { "id": "finaddr_61O6nHqDsFuMtECYR16O0lef0dSQgZ0EhGyZsQCXQMls", "object": "v2.money_management.financial_address", "credentials": { "type": "us_bank_account", "us_bank_account": { "account_number": null, "routing_number": "110000000", "swift_code": "TSTEZ122", "bank_name": "STRIPE TEST BANK", "last4": "6891" } }, "status": "active", "financial_account": "fa_6504m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m", "created": "2023-03-30T17:32:06.665Z", "currency": "usd", "livemode": true } ], "next_page_url": null, "previous_page_url": null}